Search documentation of phoenix_kit

# PhoenixKitWeb.Components.Core.Button (phoenix_kit v1.7.87)

Copy Markdown View Source

Provides a button UI component.

## Summary

### Functions

button(assigns)

Renders a button.

## Functions

# button(assigns)

Renders a button.

## Examples

    <.button>Send!</.button>
    <.button phx-click="go" class="ml-2">Send!</.button>

## Attributes

- `type` (`:string`) - Defaults to `nil`.
- `class` (`:string`) - Defaults to `nil`.
- Global attributes are accepted. Supports all globals plus: `["disabled", "form", "name", "value"]`.

## Slots

- `inner_block` (required)